* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "Lato Regular";
}

.container-form {
  padding: 40px;
}

form {
  display: flex;
  justify-content: space-between;
}

.form-img {
  width: 90px;
}

.form-country-box {
  display: flex;
}

.container-your-data,
.container-pay,
.container-summary {
  display: flex;
  flex-direction: column;
  width: 32%;
}

.method-pay {
    margin: 15px 0;
}

.header-category {
  display: flex;
  align-items: center;
  background-color: $color-brand2;
  color: $color-white;
  border-radius: 5px;
  margin: 5px 0;
  i {
    font-size: 23px;
    margin: 18px;
  }
  h4 {
    font-size: 18px;
    font-weight: 200;
  }
}

.delivery-box:nth-child(2) {
  margin: 7px 0;
}

.delivery-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 20px 0;
}

.container-your-data {
  .create-account,
  .new-address{
    margin: 12px 0;
  }
  a {
    color: black;
    text-decoration: none;
    text-align: center;
    font-size: 14px;
    padding: 8px;
  }
  .delivery {
    align-items: center;
    display: flex;
    h3 {
      font-weight: 400;
    }
  }
}

.pay-box {
  display: flex;
  align-items: center;
  margin: 15px 0;
  img {
    padding: 0 10px;
  }
  h3 {
    font-size: 18px;
    font-weight: 400;
  }
}

.key-discount {
  display: none;
  flex-direction: column;
  margin-left: 50%;
  transform: translateX(-50%);
  width: 80%;
  &--active {
    display: flex;
  }
  &-btn {
    display: flex;
    justify-content: space-between;
  }
}

.container-summary-products {
  display: flex;
  flex-direction: column;
  padding: 15px 0;
  .img-products {
    width: 90px;
    height: 100px;
    img {
      height: 100%;
      width: 100%;
    }
  }
  .summary-products {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
    border-bottom: 3px dotted #119baf;
    .summary-products-information {
      display: flex;
      align-items: center;
      margin: 10px 0;
      .products-box {
        margin: 0 10px;
      }
      h4 {
        font-weight: 300;
        margin: 10px 0;
      }
    }
    .summary-product {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: space-between;
    }
  }
  .sum-partial,
  .sum {
    display: flex;
    justify-content: space-between;
    margin: 15px 0;
    h3 {
      font-weight: 400;
    }
  }
}

.sum-partial {
  padding-top: 10px;
}

.sum {
  border-bottom:3px dotted #119baf;
  padding-bottom: 10px;
  h2 {
    margin-bottom: 15px;
  }
}

textarea {
  padding: 10px;
  font-size: 16px;
  margin: 10px 0;
  resize: none;
  border-radius: 5px;
}

.container-newsletter,
.container-regulations {
  display: flex;
  align-items: center;
  margin: 14px 0;
  h4 {
    font-weight: 400;
  }
}

.newsletter,
.regulations {
  margin: 12px 0;
}

.container-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(163, 163, 163, 0.85);
  z-index: 10;
  align-items: center;
  justify-content: center;
  display: none;
  &--active {
    display: flex;
  }
  #login-form {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: $color-white;
    border-radius: 5px;
    h2 {
      padding: 35px;
    }
    input {
      padding: 20px 50px;
      margin: 10px 60px;
    }
    button {
      margin-bottom: 20px;
    }
    button:hover {
      background-color: $color-brand4;
    }
  }
}

.password-wrapper {
  display: flex;
  flex-direction: column;
}

.no-active {
  display: none;
}
input[type="text"],
input[type="password"],
select {
  padding: 15px 10px;
  margin: 10px 0;
}

.password-wrapper i.fa {
  position: absolute;
  margin-left: -50px;
  margin-top: 25px;
  cursor: pointer;
  font-size: 20px;
}

.password-wrapper input {
  width: 100%;
}

@media all and (min-width: 320px) and (max-width: 1095px) {
  .delivery-box .delivery-information h3 {
    font-size: 14px;
  }
  .delivery-box .delivery-information img {
    margin: 0;
  }
  .delivery-box .delivery-information .img-dpd {
    margin: 10px 0;
  }
    .delivery-price {
    h3 {
      font-size: 14px;
    }
  }
}

@media all and (min-width: 320px) and (max-width: 1463px) {
  .btn-apply,
  .btn-cancel {
    padding: 16px 50px;
  }
  h3 {
    font-size: 14px;
  }
}

@media all and (min-width: 320px) and (max-width: 1233px) {
  .key-discount {
    width: 100%;
  }
}

@media all and (min-width: 320px) and (max-width: 1163px) {

  .form-country-box {
    flex-direction: column;
    width: 100%;
    input {
      width: 100%;
    }
  }
  .btn-apply,
  .btn-cancel {
    padding: 16px 36px;
  }
}

@media all and (min-width: 320px) and (max-width: 830px) {
  form {
    flex-direction: column;
  }
  .container-your-data, .container-pay, .container-summary {
    width: 100%;
  }
  .key-discount {
    width: 80%;
  }
  .btn-apply,
  .btn-cancel {
    padding: 20px 80px;
  }
}

@media all and (min-width: 320px) and (max-width: 630px) {
  .btn-apply,
  .btn-cancel {
    padding: 20px 48px;
  }
}

@media all and (min-width: 320px) and (max-width: 443px) {
  .btn-apply,
  .btn-cancel {
    padding: 16px 30px;
  }
}